Page MenuHomePhabricator

Add icons for secondary links in gather-hide notifications
Closed, ResolvedPublic

Description

gather-hide notifications have two secondary links, one to view the moderation criteria and one to contest the hiding of the collection. AFAIK these are the only secondary links that no icons have been chosen for yet.

Event Timeline

Catrope created this task.Dec 19 2015, 1:00 AM
Catrope updated the task description. (Show Details)
Catrope raised the priority of this task from to Normal.
Catrope added a subscriber: Catrope.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 19 2015, 1:00 AM

Assigning to Pau to design icons (or choose existing ones) for these.

I'd like to solve a more general case first: define a generic default action icon for those actions lacking one.
Using a caret pointing forward (as we do for "All notifications" in the panel footer) seems a good candidate.
The caret will be pointing right (

) on right-to-left languages and pointing left () in left-to-right languages.

For the specific case of "gather-hide", we can leave the action placeholder icon (caret) for the moderation criteria and use the speech bubbles (

) for the "contest" action. I illustrated this below (trying also to shorten the notification copy a bit):

Change 264244 had a related patch set uploaded (by Catrope):
Use speechBubbles icon for dispute action in gather-hide notification

https://gerrit.wikimedia.org/r/264244

Catrope claimed this task.Jan 15 2016, 1:59 AM
Catrope added a subscriber: Pginer-WMF.

Change 264245 had a related patch set uploaded (by Catrope):
Use 'next' as the default icon for secondary actions

https://gerrit.wikimedia.org/r/264245

Change 264245 merged by jenkins-bot:
Use 'next' as the default icon for secondary actions

https://gerrit.wikimedia.org/r/264245

Change 264244 merged by jenkins-bot:
Use speechBubbles icon for dispute action in gather-hide notification

https://gerrit.wikimedia.org/r/264244

Jdlrobson closed this task as Resolved.Jan 19 2016, 6:04 PM
Jdlrobson added a subscriber: Jdlrobson.